LDAP autentication gets stuck and passenger Requests in queue maxed making web-ui inaccessible

This website is under heavy load

03/31/2016 02:37 AM - Daniel Lobato Garcia

Status: Resolved   

Priority: High   

Assignee: Daniel Lobato Garcia   

Category: Users, Roles and Permissions   

Target version:    
Triaged:  Found in Releases:  

Bugzilla link: 1297691 Red Hat JIRA:  

Pull request:    

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1297691

Description of problem:

When successfully logged in as AD-LDAP user into satellite web ui,

Passenger request queue gets maxed up, no matter how big

PassengerMaxRequestQueueSize

PassengerMaxPoolSize

are set up.

It will return message:

"This website is under heavy load"

If used wrong credentials, users gets rejected and all is OK.

On 6.1.4 everything working

Version-Release number of selected component (if applicable):

How reproducible:

100%

Steps to Reproduce:

1. configure satellite server to use LDAP settings

2. create user within Active Directory - LDAP

3. log in

Actual results:

Message

This website is under heavy load

passenger-status

ersion : 4.0.18

Date    : Wed Jan 06 09:06:55 +0000 2016

Instance: 2553

----------- General information -----------

Max pool size : 6

Processes     : 6

Requests in top-level queue : 0
----------- Application groups -----------

/usr/share/foreman#default:

App root: /usr/share/foreman

Requests in queue: 100   * PID: 4153    Sessions: 1       Processed: 342     Uptime: 40h 14m 12s

CPU: 27%     Memory  : 281M    Last used: 40h 11m   * PID: 12493   Sessions: 1       Processed: 6012    Uptime: 39h 49m 49s

CPU: 25%     Memory  : 165M    Last used: 36h 23m   * PID: 12504   Sessions: 1       Processed: 11161   Uptime: 39h 49m 48s

CPU: 24%     Memory  : 165M    Last used: 35h 6m   * PID: 12517   Sessions: 1       Processed: 803     Uptime: 39h 49m 47s

CPU: 27%     Memory  : 162M    Last used: 39h 24m

/etc/puppet/rack#default:

App root: /etc/puppet/rack

Requests in queue: 0   * PID: 2698    Sessions: 0       Processed: 43738   Uptime: 40h 15m 59s

CPU: 3%      Memory  : 148M    Last used: 4s ago   * PID: 2702    Sessions: 0       Processed: 44641   Uptime: 40h 15m 59s

CPU: 3%      Memory  : 147M    Last used: 9s ago

Expected results:

Requests in queue: lesser than 100 no error message.

 Logged in

Additional info:

History

#1 - 03/31/2016 03:22 AM - Dominic Cleal

- Category set to Users, Roles and Permissions

- Status changed from New to Need more information

At the risk of repeating myself - debug logs, please.  If this is relating to stack overflows causing Passenger processes to be tied up, then this is

probably a dupe of #13608.

#2 - 05/17/2017 03:46 PM - Anonymous

- Status changed from Need more information to Resolved

that BZ got clsed.
